---
title: pydo.nfs.list_access_points()
description: List NFS access points for a share
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/nfs/list_access_points/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.nfs.list_access_points()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.nfs.list_access_points(
    share_id="baf4827c-6fa9-456f-9dbd-9ddfcacd0720",
    status=None,
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To list access points for an NFS share, send a GET request to [`/v2/nfs/shares/{share_id}/access_points`](https://docs.digitalocean.com/reference/api/reference/nfs/index.html.md). You may use query parameters to filter by status.

A successful request will return a list of NFS access points ordered with the default access point first, then by `created_at` ascending.

## Parameters

`share_id` string required

The unique identifier of the NFS share.

`status` string optional

Filter access points by status.

One of: `ACCESS_POINT_CREATING`, `ACCESS_POINT_ACTIVE`, `ACCESS_POINT_FAILED`, `ACCESS_POINT_DELETED`

## Response Example

## Show Response Example

```json
{
  "access_points": [
    {
      "id": "becd9f04-8afa-4ccd-b03e-9676447df603",
      "name": "default",
      "share_id": "baf4827c-6fa9-456f-9dbd-9ddfcacd0720",
      "path": "/",
      "status": "ACCESS_POINT_ACTIVE",
      "is_default": true,
      "created_at": "2026-06-25T08:10:29Z",
      "updated_at": "2026-06-25T08:10:37Z",
      "access_policy": {
        "anonuid": 65534,
        "anongid": 65534,
        "protocols": [
          "NFS4",
          "NFS"
        ],
        "squash_config": "ROOT_SQUASH",
        "identity_enforcement_enabled": false
      }
    },
    {
      "id": "7659ce91-354d-4f61-9cda-ae2c7feb61d9",
      "name": "other-vpc",
      "share_id": "baf4827c-6fa9-456f-9dbd-9ddfcacd0720",
      "path": "/other-vpc",
      "vpc_id": "3f34cdb2-1e4f-4100-b5c7-f55f2762085f",
      "status": "ACCESS_POINT_ACTIVE",
      "is_default": false,
      "created_at": "2026-06-25T08:11:12Z",
      "updated_at": "2026-06-25T08:11:16Z",
      "access_policy": {
        "anonuid": 65534,
        "anongid": 65534,
        "protocols": [
          "NFS4",
          "NFS"
        ],
        "squash_config": "ROOT_SQUASH",
        "identity_enforcement_enabled": false
      }
    }
  ]
}
```

## More Information

See [`/v2/nfs/shares/{share_id}/access_points`](https://docs.digitalocean.com/reference/api/reference/nfs/index.html.md#nfs_list_access_points) in the API reference for additional detail on responses, headers, parameters, and more.